package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.MainOrder;

import java.util.Collection;
import java.util.List;

public interface IMainOrderService {

    /**
     * 查询订单详情
     */
    MainOrder queryById(Long id);

    /**
     * 查询订单列表
     */
    TableDataInfo<MainOrder> queryPageList(MainOrder order, PageQuery pageQuery);

    /**
     * 查询订单列表
     */
    List<MainOrder> queryList(MainOrder order);

    /**
     * 新增订单
     */
    Boolean insert(MainOrder order);

    /**
     * 修改订单
     */
    Boolean update(MainOrder order);

    /**
     * 校验并批量删除订单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
